<?php
require_once('DataManager.Class.php');

class FechaInactiva {
    
    public $conn;

    function __construct($c) {
        
        if(isset($c)){
                $this->conn = $c;
        } else {
                $this->conn = DataManager::getInstance();
        }
    }


	public function informacionFechaInactiva($idFecInac, $estado, $tipo_retorno)
	{
		$stmt = $this->conn->prepare("{CALL agenda.SP_fecha_inactiva_informacion (?, ?)}");		
		$stmt->bindValue(1, $idFecInac, PDO::PARAM_INT);
		$stmt->bindValue(2, $estado, PDO::PARAM_BOOL);
		$stmt->execute();

		if($tipo_retorno == 0) {
			return $stmt->fetch();
		} else {
			return $stmt->fetchAll();
		}		
	}

	public function ingresarFechaInactiva($fecha, $horaInicio, $horaFin, $motivo) 
	{
		$stmt = $this->conn->prepare("{CALL agenda.SP_fecha_inactiva_ingresa (?, ?, ?, ?)}");
		$stmt->execute(array($fecha, $horaInicio, $horaFin, $motivo));

        return $stmt->fetch();	
    }
	
	public function modificarFechaInactiva($idFechaInactiva, $fecha, $horaInicio, $horaFin, $motivo, $estado) 
	{		
		$stmt = $this->conn->prepare("{CALL agenda.SP_fecha_inactiva_modifica (?, ?, ?, ?, ?, ?)}");        
		$stmt->execute(array($idFechaInactiva, $fecha, $horaInicio, $horaFin, $motivo, $estado));

        return $stmt->fetch();	
    }
	
	public function eliminarFechaInactiva($idFechaInactiva) 
	{		
		$stmt = $this->conn->prepare("{CALL agenda.SP_fecha_inactiva_eliminar (?)}");        
		$stmt->execute(array($idFechaInactiva));

        return $stmt->fetch();	
    }
	 
    function Close() {
        
        $this->conn = null;
        
    }
}
?>